API reference
List models
List the models and aliases available to the authenticated account.
Pass a returned model name as model in a POST /v1/systemone request.
List models
curl --request GET \
--url https://api.typesafe.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"models": [
{
"description": "General-purpose system one model.",
"name": "jev-latest",
"release_date": "2026-09-15"
}
]
}{
"detail": [
{
"loc": [
"body",
"state"
],
"msg": "Field required",
"type": "missing"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Models and aliases available to the authenticated account.
Available models and aliases. Use a model's name in POST /v1/systemone requests.
Hide child attributes
Hide child attributes
Model name or alias accepted by the request's model field.
Example:
"jev-latest"
Human-readable description of the model and its capabilities.
Example:
"General-purpose system one model."
Model release date, formatted as YYYY-MM-DD.
Example:
"2026-09-15"
Example:
[
{
"description": "General-purpose system one model.",
"name": "jev-latest",
"release_date": "2026-09-15"
}
]
Was this page helpful?
List models
curl --request GET \
--url https://api.typesafe.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"models": [
{
"description": "General-purpose system one model.",
"name": "jev-latest",
"release_date": "2026-09-15"
}
]
}{
"detail": [
{
"loc": [
"body",
"state"
],
"msg": "Field required",
"type": "missing"
}
]
}
